# Interface ColorClassBreakInfoJson

The classBreaksInfo object provides information about the class breaks associated with the renderer.

See https://developers.arcgis.com/web-scene-specification/objects/colorClassBreakInfo/.

interface ColorClassBreakInfoJson {
classMaxValue?: number;
classMinValue?: number;
color?: ColorJson;
description?: string;
label?: string;
}

#####
Index

### Properties

classMaxValue?
classMinValue?
color?
description?
label?

##
Properties

### `Optional` classMaxValue

classMaxValue?: number

A numeric value used to specify the maximum value for a break.

### `Optional` classMinValue

classMinValue?: number

A numeric value used to specify discontinuous class breaks. If this value is null or is missing, the map server will calculate the minimum value based on the preceding class' maximum value.

### `Optional` color

color?: ColorJson

Color is represented as a three or four-element array.

### `Optional` description

description?: string

String value used to describe the class.

### `Optional` label

label?: string

String value used to label the class.